ANALYZE-PV-STRUCTURE(1)

NAME
analyze-pv-structure - Analyzes the location of metadata in a variety of RAW, jpeg and video files

SYNOPSIS
analyze-pv-structure [options] source [outfile]

Positional Options:
    source
    outfile

Options:
    -h, --help
    --clear, -c
    --keep-names, -k
    --no-dng, -d
    --video
    --only-video
    --include-jpeg, -j
    --only-jpeg, -J
    --show-errors, -e
    --load, -l
    --verbose, -v

DESCRIPTION
Analyze PV Structure analyzes photos and videos to help determine how much of a file needs to be read to extract its metadata, embedded thumbnail or render a thumbnail. It is associated with Rapid Photo Downloader.

It uses exiv2 to extract photo metadata,and ExifTool to extract video metadata.

To work, this program requires that the scanned photos and videos not be in the Linux kernel's disk cache. To ensure this, the program provides option, specified by the command line argument '--clear', to instruct the kernel to sync and then drop clean caches, as well as reclaimable slab objects like dentries and inodes. This is a non-destructive operation and will not free any dirty objects. See https://www.kernel.org/doc/Documentation/sysctl/vm.txt

Specify an outfile if you want to share the analysis of your files with others.

REQUIREMENTS
To run this program, you need to install vmtouch. Get it at http://hoytech.com/vmtouch/

To see an optional but helpful progress bar, install pyprind: https://github.com/rasbt/pyprind

OPTIONS

-h, --help
    Show help message and exit.

source
    Directory in which to recursively scan for photos and videos, or a previously saved outfile.

outfile
    Optional file in which to save the analysis.

--clear, -c
    Clear the sync and drop clean caches (see note above). The script will prompt for super user permission to execute this.

-v, --verbose
    Displays program information on the command line as the program runs.

-l, --load
    Don't scan. Instead use previously generated outfile as input.

-k, --keep-names
    If saving the analysis to file, don't first remove the file names and paths from the analysis. Don't specify this option if you want to keep this information private when sharing the analysis with others.

-d, --no-dng
    Don't scan DNG files.

--video
    Scan videos.

--only-video
    Scan only videos, ignoring photos.

-j, --include-jpeg
    Scan jpeg images.

-J, --only-jpeg
    Scan only jpeg images.

-e, --show-errors
    Don't show progress bar while scanning, and instead show all errors output by exiv2 (useful if exiv2 crashes, which takes down this script too).

EXAMPLES
sudo analyze-pv-structure -c /home/user/Pictures/ pv_analysis

    Analyze photos found in the user's Pictures folder, clear the system caches prior to analysis, and save the analysis in the file pv_analysis without any filename or path information.

analyze-pv-structure -v pv_analysis

    Output verbose analysis of the previously saved outfile pv_analysis.

analyze-pv-structure --video /home/user/Videos/

    Analyze videos (and any photos) found in the user's Videos folder.

SEE ALSO
rapid-photo-downloader(1)

AUTHORS
Analyze PV Structure was written by Damon Lynch <damonlynch@gmail.com>.

This manual page was written by Damon Lynch.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version.

On Debian GNU/Linux systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL'.